/**
 * Resize Class
 */
var _$;
function ResizeWindows()
{
	this.resize = function()
	{
		var tcHeight = $("#topOutside").height();
		var leftWidth = $("#leftContent").width();
		var sWidth = document.documentElement.clientWidth;
		var sHeight = document.documentElement.clientHeight;
		var tabcontentheight = $(".tabcontent").height() + 5;
		var sitmapHeight = $(".sitmap").height();
		
		$("#mainareaContent").css({
			height: sHeight - tcHeight - 4
		});
		$("#leftContent").css({
			height: sHeight - tcHeight - 4
		});
		$("#rightContent").css({
			height: sHeight - tcHeight - 4
		});
 		$("#rightContent").css({
			width: sWidth - leftWidth - 10
		});
		$("#secrightContent").css({
			height: sHeight - sitmapHeight - tabcontentheight - tcHeight
		});
		if ($(".leftnav").find("a").size() == 0) {
			$(".leftnav").find("span").each(function(){
				$(this).width(125);
			});
		}
		if ($(".tbl_leftnav").height() > 0) {
			$(".tableContent3").attr("style", "padding-bottom:0");
		}
		if ($(".tbl_leftnav").height() > $("#secrightContent").height()) {
			$(".leftnav").css({
				height: $(".tbl_leftnav").height() - 2
			});
		} else {
			$(".leftnav").css({
				height: $("#secrightContent").height() - 2
			});
		}
		
		$(".tableContent").each(function(){
			$(this).width($("#secrightContent").width()-19);
		});
		$(".tableContent2").each(function(){
			$(this).width($("#secrightContent").width()-19);
		});
		$(".tableContent3").each(function(){
			$(this).width($("#secrightContent").width()-19);
		});
		$(".tableContent4").each(function(){
			$(this).width($("#secrightContent").width()-19);
		});
	}
}

_$ = new ResizeWindows();
